--- title: "Get Global Auto Ack Rules" slug: "get-global-auto-ack-rules-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:44Z published: 2026-11-19T12:57:44Z canonical: "docs.trellix.com/get-global-auto-ack-rules-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Global Auto Ack Rules This URL is used to retrieve auto ack rules. ### Resource URL POST /globalautoack/rules ### Request Parameters N/A ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `attackId` | Attack id | String | Yes | | `attackName` | Attack name | String | Yes | | `ruleId` | Rule id | Number | Yes | | `targetEndpoint` | Target endpoint | String | Yes | | `attackerEndpoint` | Attacker endpoint | String | Yes | | `expiration` | Expiration | String | Yes | | `comment` | Comment | String | Yes | ### Example **Request** POST [https:///sdkapi/globalautoack/rules](https://<NSM_IP>/sdkapi/globalautoack) **Response** ``` { "autoAckRules": [  {    "attackId":"0x45d29400",    "ruleId":"154",    "attackName":"Aasync: Aasync LIST Command Response Filename Handling Overflow",    "targetEndpoint":"1.12.4.4",    "attackerEndpoint":"1.1.1.1",    "expiration":"2016-01-08 00:00:00.0",    "lastModifiedBy":"admin",    "lastModifiedDate":"2016-01-07 14:20:03.0",     "comment":"adssfsd" }     ] } ``` ### Error Information N/A